#include<iostream>
#include<vector>
#include<algorithm>
std::vector<int> solve(std::vector<int> A){
    /*std::vector<std::pair<int,int>>B;
    for(int i=0;i<A.size();i++){
        B.push_back(std::make_pair(A[i],i));
    }
    std::sort(B.begin(),B.end(),[](std::pair<int,int>a,std::pair<int,int>b){
    return a.first<b.first;});
    A.clear();
    for(int i=0;i<B.size();i+=2){
        A.push_back(B[i].second);
    }
    for(int i=1;i<B.size();i+=2){
        A.push_back(B[i].second);
    }*/
    std::vector<int>B;
    B.push_back(A.size()-1);
    for(int i=0;i<A.size()-1;i++){
        B.push_back(i);
    }
    return B;
}